# -- Provide a name in place of `kube-green`
nameOverride: ""

# -- String to fully override `"kube-green.fullname"`
fullnameOverride: ""

commonLabels: {}

kubeGreen:
  image:
    # -- kube-green image repository
    repository: docker.io/kubegreen/kube-green
    # -- kube-green image pull policy
    pullPolicy: IfNotPresent
    # -- Overrides the kube-green image tag
    tag: "0.5.2@sha256:5ede69b66ee7b23edf3d083fd23c6c740496769ae87eeff31363e80c0409f1d6"
  # -- Resource limits and requests for kube-green pods.
  resources:
    limits:
      cpu: 400m
      memory: 400Mi
    requests:
      cpu: 100m
      memory: 50Mi

kubeRbacProxy:
  image:
    # -- kube-rbac-proxy image repository
    repository: gcr.io/kubebuilder/kube-rbac-proxy
    # -- kube-rbac-proxy image pull policy
    pullPolicy: IfNotPresent
    # -- Overrides the kube-rbac-proxy image tag
    tag: "v0.16.0@sha256:771a9a173e033a3ad8b46f5c00a7036eaa88c8d8d1fbd89217325168998113ea"
  # -- Resource limits and requests for kube-rbac-proxy pods.
  resources:
    limits:
      cpu: 500m
      memory: 128Mi
    requests:
      cpu: 5m
      memory: 64Mi

# -- pod-level security context
podSecurityContext:
  runAsNonRoot: true
  seccompProfile:
    type: RuntimeDefault

# -- container-level security context
securityContext:
  allowPrivilegeEscalation: false
  capabilities:
    drop:
      - ALL

# -- Node labels for pod assignment
nodeSelector: {}

# -- Toleration labels for pod assignment
tolerations: []

# -- Affinity settings for pod assignment
affinity: {}

# -- Enable validation webhook
webhook:
  enabled: true

# -- Replica count for deployment
replicaCount: 1

# -- Priority class name to use for pods
priorityClassName: ""

# -- Topology spread constraints for pod assignment
topologySpreadConstraints: []
